{% if bash.path is defined %}
PATH="{{ bash.path | join(":") }}"
{% endif %}

{% if bash.gen_config is defined %}
{% for config in bash.gen_config %}
{{ config }}
{% endfor %}
{% endif %}

{% if bash.env_vars is defined %}
{% for env in bash.env_vars %}
{{env.name}}="{{env.value}}"
{% endfor %}
{% endif %}

{% if bash.env_vars is defined and (bash.env_vars|length) > 0%}
export \
{% for env in bash.env_vars %}
{% if env.export is defined and env.export %}
  {{ env.name }}{% if not loop.last %} \
{% endif %}
{% endif %}
{% endfor %}

{% endif %}

{% if bash.aliases is defined %}
{% for alias in bash.aliases %}
{{ alias }}
{% endfor %}
{% endif %}

{% if bash.functions is defined %}
{% for function in bash.functions %}
{{ function }}
{% endfor %}
{% endif %}

for file in $(find "${HOME}/.bashrc.d" -type f); do
  source $file;
done
